Bug 151337 - RFE: pure-ftpwho and non-root accounts
RFE: pure-ftpwho and non-root accounts
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pure-ftpd (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-16 20:48 EST by Jose Pedro Oliveira
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-24 03:52:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
RFE: pure-ftpwho and non-root accounts (3.60 KB, patch)
2005-03-16 20:52 EST, Jose Pedro Oliveira
no flags Details | Diff

  None (edit)
Description Jose Pedro Oliveira 2005-03-16 20:48:01 EST
Aurelien,

This is a RFE (Request For Enhancement) regarding pure-ftpd:
I would like to be able to run pure-ftpwho without being root.

The patch - pure-ftpd-1.0.20-rfe.patch - modifies/creates the following files:
1) Modifies - pure-ftpd.spec (usermode/pure-ftpwho + pedantic)
2) Adds - /etc/pam.d/pure-ftpwho
3) Adds - /etc/security/console.apps/pure-ftpwho
4) Modifies /etc/rc.d/init.d/pure-ftpd (pedantic)

The usermode files are based on the ones included in the package hddtemp (also
in extras).

Target branches: FC-3 and devel

TIA,
jpo
Comment 1 Jose Pedro Oliveira 2005-03-16 20:52:21 EST
Created attachment 112067 [details]
RFE: pure-ftpwho and non-root accounts
Comment 2 Aurelien Bompard 2005-03-23 17:24:20 EST
Looks sane, and works fine. Committed.
Concerning potential security problems, here's something from the official FAQ :
=========
http://www.pureftpd.org/FAQ
---
-> How do I give access to the 'pure-ftpwho' command to non-root users?
The 'pure-ftpwho' command is restricted to root by default, because users
probably shouldn't be given the ability to spy what other users are doing on
the same host. However, it's safe to put the setuid bit on that command, in
order to have it work as any user:
    chmod 4711 /usr/local/sbin/pure-ftpwho
----
Using usermode is just better. (only local users are allowed).

Thanks Jose.

Note You need to log in before you can comment on or make changes to this bug.